local mod_name = core.get_current_modname()
local mod_path = core.get_modpath(mod_name)
local S = core.get_translator(mod_name)

core.register_craftitem("br_core:canned_fruit_0", {
    description = S("Canned Fruit"),
    -- _tt_long_desc = S(""),
    -- _tt_how_to_use = S(""),
    inventory_image = "br_can_base.png^br_canned_fruit_0.png",
	-- wield_scale = {x=3.0,y=5.0,z=2.0},
    -- _wield3d_offset = {x=0, y=5.0, z=1},
    -- _wield3d_rotation = {x=-90, y=-45, z=-90},
    groups = { food = 1 },
	stack_max = 1,
    on_secondary_use = br_core.food_on_rightclick,
    on_place = br_core.food_on_rightclick,
    _thirst = 20,
    _hunger = 50,
})

core.register_craftitem("br_core:canned_fruit_1", {
    description = S("Canned Fruit"),
    inventory_image = "br_can_base.png^br_canned_fruit_1.png",
    groups = { food = 1 },
	stack_max = 1,
    on_secondary_use = br_core.food_on_rightclick,
    on_place = br_core.food_on_rightclick,
    _thirst = 20,
    _hunger = 50,
})

core.register_craftitem("br_core:canned_beans_0", {
    description = S("Canned Beans"),
    inventory_image = "br_can_base.png^br_canned_beans_0.png",
    groups = { food = 1 },
	stack_max = 1,
    on_secondary_use = br_core.food_on_rightclick,
    on_place = br_core.food_on_rightclick,
    _hunger = 80,
})

core.register_craftitem("br_core:canned_beans_1", {
    description = S("Canned Beans"),
    inventory_image = "br_can_base.png^br_canned_beans_1.png",
    groups = { food = 1 },
	stack_max = 1,
    on_secondary_use = br_core.food_on_rightclick,
    on_place = br_core.food_on_rightclick,
    _hunger = 80,
})
